/**
 * Return a sort comparator given a function that returns a sortable value.
 * @param {Function} resolve
 * @return {Function}
 */
export const asc = (resolve) => {
  return (a, b) => resolve(a) - resolve(b);
};

/**
 * Return a sort comparator given a function that returns a sortable value.
 * @param {Function} resolve
 * @return {Function}
 */
export const desc = (resolve) => {
  return (a, b) => resolve(b) - resolve(a);
};

export default {asc, desc};

